
#
# $Header: /cvs/common/k2/src/get_table.awk,v 1.1 2006/06/16 14:03:45 laskait Exp $
#

BEGIN {


# constants
  OFS = FS = "|"
  if (header == 0) header = 18 # may be changed by -vheader=10 e.g

# initialize
  prevrec = "XXX"

  reset  = "\033[0m"
  red    = "\033[1;31m"
  blue   = "\033[1;36m"
}

/^.\|MKT/ {
}

/^.\|INS/ {
}

/^.\|SCT/ {
}

/^.\|BRD/ {
}

/^1\|SBD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
    print "-----Id-----", "S", "BidPrx", "BidD", "BidDtT", "BidN", "AskPrx", 
          "AskD", "AskDtT", "AskN", "opnPrx", "hghPrx", "lowPrx", 
          "lTrPrx", "-refPrx-", "UpPrxL", "LoPrxL", "CBLiUp", "CBLiLo"
  }
  $3  = substr($3, 6)
  $49 = sprintf("%*d", 6, $49)
  $50 = sprintf("%*d", 4, $50)
  $51 = sprintf("%*d", 6, $51)
  $52 = sprintf("%*d", 4, $52)
  $53 = sprintf("%*d", 6, $53)
  $54 = sprintf("%*d", 4, $54)
  $55 = sprintf("%*d", 6, $55)
  $56 = sprintf("%*d", 4, $56)
  $57 = sprintf("%*d", 6, $57)
  $58 = sprintf("%*d", 6, $58)
  $59 = sprintf("%*d", 6, $59)
  $60 = sprintf("%*d", 6, $60)
  $73 = sprintf("%*d", 8, $73)
  $82 = sprintf("%*d", 6, $82)
  $83 = sprintf("%*d", 6, $83)
  $84 = sprintf("%*d", 6, $84)
  $85 = sprintf("%*d", 6, $85)
  print red $3, $48, $49, $50, $51, $52, $53, $54, $55, $56, $57, $58, $59, $60, $73, $82, $83, $84, $85 reset
  prev_rec = $1 $2
}

/^2\|SBD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
    print "--------Id---------", "S", "BidPrx", "BidD", "BidDtT", "BidN", "AskPrx", 
          "AskD", "AskDtT", "AskN", "opnPrx", "hghPrx", "lowPrx", 
          "lTrPrx", "-refPrx-", "UpPrxL", "LoPrxL", "CBLiUp", "CBLiLo"
  }
  $3  = substr($3, 6)
  $41 = sprintf("%*d", 6, $41)
  $43 = sprintf("%*d", 4, $43)
  $44 = sprintf("%*d", 6, $44)
  $45 = sprintf("%*d", 4, $45)
  $46 = sprintf("%*d", 6, $46)
  $48 = sprintf("%*d", 4, $48)
  $49 = sprintf("%*d", 6, $49)
  $50 = sprintf("%*d", 4, $50)
  $51 = sprintf("%*d", 6, $51)
  $53 = sprintf("%*d", 6, $53)
  $55 = sprintf("%*d", 6, $55)
  $57 = sprintf("%*d", 6, $57)
  $80 = sprintf("%*d", 8, $80)
  $91 = sprintf("%*d", 6, $91)
  $93 = sprintf("%*d", 6, $93)
  $95 = sprintf("%*d", 6, $95)
  $97 = sprintf("%*d", 6, $97)
  print blue $3, $40, $41, $43, $44, $45, $46, $48, $49, $50, $51, $53, $55, $57, $80, $91, $93, $95, $97 reset
  prev_rec = $1 $2
}

/^.\|FRM/ {
}

/^.\|USR/ {
}

/^1\|ORD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
#    print "-OrdNo-", "--Date--", "-Time-", "S", "T", "BrokRef...", "--UserId--", "----SecBoardId-----", 
#          "--TrdAccId--", "Price-", "-Qty--", "-Bal--", "---Value--"
    print "-OrdNo-", "--Date--", "-Time-", "S", "T", "BrokRef...", "--UserId--", "----SecBoardId-----", 
          "Price-", "-Qty--", "-Bal--", "---Value--"
  }
  $3  = sprintf("%*d", 6, $3)
  $4  = sprintf("%*d", 8, $4)
  $5  = sprintf("%*d", 6, $5)
  $9  = substr($9,  1, 10)
  $10  = substr($10,  1, 10)
  $12 = substr($12, 6)
  $15 = sprintf("%*d", 6, $15)
  $17 = sprintf("%*d", 6, $17)
  $19 = sprintf("%*d", 6, $19)
  $20 = sprintf("%*d", 10,$20)
#  print $3, $4, $5, $6, $7, $9, $10, $12, $13, $15, $17, $19, $20 
  print red $3, $4, $5, $6, $7, $9, $10, $12, $15, $17, $19, $20 reset
  prev_rec = $1 $2 
}

/^2\|ORD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
#    print "--------OrdNo--------", "--Date--", "-Time-", "S-", "T-", "BrokRef...", "--UserId--", "----SecBoardId-----", 
#          "--TrdAccId--", "Price-", "-Qty--", "-Bal--", "---Value--"
    print "--------OrdNo--------", "--Date--", "-Time-", "S-", "T-", "BrokRef...", "--UserId--", "----SecBoardId------", 
          "Price-", "-Qty--", "-Bal--"
  }
  $3  = sprintf("%*s", 21, $3)
  $5  = sprintf("%*d", 8, $5)
  $6  = sprintf("%*d", 6, $6)
  $9  = substr($9,  1, 10)
  $10  = substr($10,  1, 10)
  $12 = substr($12, 5)
  $15 = sprintf("%*d", 6, $15)
  $17 = sprintf("%*d", 6, $17)
  $19 = sprintf("%*d", 6, $19)
  $20 = sprintf("%*d", 10,$20)
  print blue $3, $5, $6, $7, $8, $9, $10, $12, $15, $17, $19 reset
  prev_rec = $1 $2
}

/^1\|TRD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
    print "-TrdNo-", "BuyONo-", "SelONo-", "TrdTim", "BBrkRef...", "SBrkRef...",
          "ByFrmId", "SlFrmId", "---SecBoardId---", 
          "Price-", "-Qty--", "---Value--"
  }
  $3  = sprintf("%*d", 7, $3)
  $4  = sprintf("%*d", 7, $4)
  $5  = sprintf("%*d", 7, $5)
  $6  = sprintf("%*d", 6, $6)
  $8  = substr($8,  1, 10)
  $9  = substr($9,  1, 10)
  $12 = substr($12, 1, 7)
  $13 = substr($13, 1, 7)
  $16 = substr($16, 6, 16) 
  $17 = sprintf("%*d", 6,  $17)
  $19 = sprintf("%*d", 6,  $19)
  $20 = sprintf("%*d", 10, $20)
  print red $3, $4, $5, $6, $8, $9, $12, $13, $16, $17, $19, $20 reset
  prev_rec = $1 $2
}

/^2\|TRD/ {
  if ($1 $2 != prev_rec || (NR % header) == 1) {
    print "TrdNo-", "BuyONo", "SelONo", "TrdTim", "BBrkRef...", "SBrkRef...",
          "ByFrmId", "SlFrmId", "-----SecBoardId----", 
          "Price-", "-Qty--", "---Value--"
  }
  $3  = substr($3, 16);
  $4  = substr($4, 16);
  $5  = substr($5, 16);
  $7  = sprintf("%*d", 6, $7)
  $10  = substr($10,  1, 10)
  $11  = substr($11,  1, 10)
  $14 = substr($14, 1, 7)
  $15 = substr($15, 1, 7)
  $18 = substr($18, 6)
  $20 = sprintf("%*d", 6,  $20)
  $22 = sprintf("%*d", 6,  $22)
  $23 = sprintf("%*d", 10, $23)
  print blue $3, $4, $5, $7, $10, $11, $14, $15, $18, $20, $22, $23 reset
  prev_rec = $1 $2
}

/^.\|NGD/ {
}

/^.\|OEN/ {
}
