/*****************************************************************************
         (c) Copyright Effice Mrnki Iroda Kft. 1999.


Ez az llomny kizrolag az Effice Kft. (2083 Solymr Toldi u. 21.) tulajdona,
kizrolag csak az Effice Kft. engedlyvel, az engedlyben meghatrozott clra
s mdon hasznlhat fel.

  Published Application programming interface of Socket based interface.
*****************************************************************************/

#ifndef __IFSAPI__

#ifdef WIN32
#  define EXTRN __declspec(dllexport)
#  define CALLCONV __cdecl
/* #  define CALLCONV __stdcall */
#else
#  define EXTRN
#  define CALLCONV
#endif

/* library public interface*/
typedef struct connection_handle * IFSC_HDL;

#ifdef __cplusplus
extern "C"
{
#endif
EXTRN int CALLCONV ifsc_create(IFSC_HDL * handle, const char * host_name, const char * service_name);
EXTRN int CALLCONV ifsc_destroy(IFSC_HDL * handle);
EXTRN int CALLCONV ifsc_connect(IFSC_HDL handle, const char * user_name, const char * password, int * tradeid, int * pid, int * mmts_type);
EXTRN int CALLCONV ifsc_disconnect(IFSC_HDL handle);
EXTRN int CALLCONV ifsc_set_get_seq(IFSC_HDL handle, int table, int seqno);
EXTRN int CALLCONV ifsc_set_get_idx(IFSC_HDL handle, int table, int idx);
EXTRN int CALLCONV ifsc_set_get_field_seq(IFSC_HDL handle, int table, int seqno);
EXTRN int CALLCONV ifsc_get_first_record(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * seqno);
EXTRN int CALLCONV ifsc_get_next_record(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * seqno);
EXTRN int CALLCONV ifsc_get_first_idx(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * idx);
EXTRN int CALLCONV ifsc_get_next_idx(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * idx);
EXTRN int CALLCONV ifsc_get_first_field_chg(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * seqno);
EXTRN int CALLCONV ifsc_get_next_field_chg(IFSC_HDL handle, char ** rec_buf, int * len, int table_code, int * seqno);
EXTRN int CALLCONV ifsc_get_first_orderbook(IFSC_HDL handle, char ** rec_buf, int * len, const char * sec_board_id);
EXTRN int CALLCONV ifsc_get_next_orderbook(IFSC_HDL handle, char ** rec_buf, int * len, const char * sec_board_id);
EXTRN int CALLCONV ifsc_get_orderbook_list(IFSC_HDL handle, char ** rec_buf, int * len);
EXTRN int CALLCONV ifsc_get_first_marketbyprx(IFSC_HDL handle, char ** rec_buf, int * len, const char * sec_board_id);
EXTRN int CALLCONV ifsc_get_next_marketbyprx(IFSC_HDL handle, char ** rec_buf, int * len, const char * sec_board_id);
EXTRN int CALLCONV ifsc_get_marketbyprx_list(IFSC_HDL handle, char ** rec_buf, int * len);
EXTRN int CALLCONV ifsc_get_systime(IFSC_HDL handle, char ** rec_buf, int * len);
EXTRN int CALLCONV ifsc_orderentry(IFSC_HDL handle, int trans_code, char * orderentry, int order_len, int * new_orderid);
EXTRN int CALLCONV ifsc_orderentry_status_chg(IFSC_HDL handle, int orderid, char new_status_code);
EXTRN int CALLCONV ifsc_mmorder(IFSC_HDL handle, char * mmorder, int order_len, int * new_mmorderid);
EXTRN int CALLCONV ifsc_mmorder_status_chg(IFSC_HDL handle, int mmorderid, char new_status_code);
EXTRN int CALLCONV ifsc_orderbook_conf(IFSC_HDL handle, const char * sec_board_id, int add_or_remove);
EXTRN int CALLCONV ifsc_marketbyprx_conf(IFSC_HDL handle, const char * sec_board_id, int add_or_remove);
EXTRN int CALLCONV ifsc_set_trace(IFSC_HDL handle, int on_off);
EXTRN char * CALLCONV ifsc_get_last_errmsg(IFSC_HDL handle);
#ifdef __cplusplus
}
#endif

#define __IFSAPI__  /*+ To stop multiple inclusions. +*/
#endif
