/*****************************************************************************
         (c) Copyright Effice Mrnki Iroda Kft. 1999.


Ez az llomny kizrolag az Effice Kft. (2083 Solymr Toldi u. 21.) tulajdona,
kizrolag csak az Effice Kft. engedlyvel, az engedlyben meghatrozott clra
s mdon hasznlhat fel.

  Generic IFS utility definitions.
*****************************************************************************/

#ifndef __IFSUTIL__

#ifdef WIN32
#  define EXTRN __declspec(dllexport)
#  define CALLCONV __cdecl
/* #  define CALLCONV __stdcall */
#else
#  define EXTRN
#  define CALLCONV
#endif

#ifdef __cplusplus
extern "C"
{
#endif
EXTRN int CALLCONV ifs_get_char(char * target, char * buffer);
EXTRN int CALLCONV ifs_get_code(int * target, char * buffer);
EXTRN int CALLCONV ifs_get_double(double * target, char * buffer);
EXTRN int CALLCONV ifs_get_ids(char * target, int len_in_target, char * buffer);
EXTRN int CALLCONV ifs_get_int(int * target, char * buffer);
EXTRN int CALLCONV ifs_get_next_field(char * buf, int buf_len, int * pos, char *field_code, char **data, int * data_len);
EXTRN int CALLCONV ifs_get_string(char * target, int len_in_target, char * buffer, int len_in_buffer);
EXTRN int CALLCONV ifs_get_enum(char * target, char * buffer);
EXTRN int CALLCONV ifs_get_fix_real(struct fix_real * target, char * buffer);
EXTRN int CALLCONV ifs_is_empty_str(char * buffer, int len);

EXTRN int CALLCONV ifs_set_char(char * buffer, char data);
EXTRN int CALLCONV ifs_set_code(char * buffer, int data);
EXTRN int CALLCONV ifs_set_double(char * buffer, double data);
EXTRN int CALLCONV ifs_set_ids(char * buffer, const char * data);
EXTRN int CALLCONV ifs_set_int(char * buffer, int data);
EXTRN int CALLCONV ifs_set_string(char * buffer, int len_in_buffer, const char * data);
EXTRN int CALLCONV ifs_set_enum(char * buffer, char data);
EXTRN int CALLCONV ifs_set_fix_real(char * buffer, struct fix_real data);
EXTRN int CALLCONV ifs_get_next_field_mmts2(char * buf, int buf_len, int * pos, char *field_code, char **data, int * data_len);
#ifdef __cplusplus
}
#endif

#define __IFSUTIL__        /*+ To stop multiple inclusions. +*/
#endif
