#!/usr/local/bin/gawk -f
#
# $Header: /cvs/common/k2/src/get_bp.awk,v 1.1 2006/06/16 14:03:45 laskait Exp $
#
BEGIN { 
  FS = "|"
# color constants
  reset  = "\033[0m"
  red    = "\033[1;31m"
  blue   = "\033[1;36m"
  yellow = "\033[1;33m"
  redb   = "\033[0;30;41m"
  blueb  = "\033[0;30;46m"
  greenb = "\033[0;30;42m"
}

{
  if (substr($1, 1, 1) == 0) mmts1();
  else mmts2();
}

function mmts2()
{
  system ("clear")
  gsub("[ ]","-",$1)
  gsub("[-]+",reset yellow "&", $1)
  $1 = $1 "----------------"
  print greenb $1 reset yellow "+-----------------------------------------" reset
  print redb "                  Buy                   " reset yellow "|" reset \
        blueb "                  Sell                   " reset
#  print $3, $4, NF
  mm = $4 >= $5 ? $4 : $5
  for (a =0; a < mm; a++) 
  {
    if ($4 > a){
      b = a*11 + 5
      b1 = sprintf("%7d",$(b+1))
      b2 = sprintf("%6d",$(b+3))
      b3 = sprintf("%6d",$(b+5))
      b4 = sprintf("%4d",$(b+6))
      b5 = sprintf("%4d",$(b+7))
      b6 = sprintf("%4d",$(b+8))
      b7 = $(b+9) 
      b8 = $(b+10) 
      b9 = $(b+11)
    } else {
      b1 = "       "
      b2 = "      "
      b3 = "      "
      b4 = "    "
      b5 = "    "
      b6 = "    "
      b7 = " " 
      b8 = " " 
      b9 = " "
    }
    if ($5 > a){
      s = a*11 + 5 + $4*11
      s1 = sprintf("%7d",$(s+1))
      s2 = sprintf("%6d",$(s+3))
      s3 = sprintf("%6d",$(s+5))
      s4 = sprintf("%4d",$(s+6))
      s5 = sprintf("%4d",$(s+7))
      s6 = sprintf("%4d",$(s+8))
      s7 = $(s+9)
      s8 = $(s+10)
      s9 = $(s+11)
    } else {
      s1 = "       "
      s2 = "      "
      s3 = "      "
      s4 = "    "
      s5 = "    "
      s6 = "    "
      s7 = " "
      s8 = " "
      s9 = " "
    }
    printf "%s%c%c%c %4s %4s %4s %6s %6s %6s%s|%s%6s %6s %6s %4s %4s %4s %c%c%c%s\n", red, b9, b8, b7, b6, b5, b4, b3, b2, b1, yellow, blue, \
      s1, s2, s3, s4, s5, s6, s7, s8, s9, reset
  }
}

function mmts1()
{
  system ("clear")
  gsub("[ ]","-",$1)
  gsub("[-]+",reset yellow "&", $1)
  $1 = substr($1, 2)
  $1 = $1 "-----------------"
  print greenb $1 reset yellow "+-----------------------------------------" reset
  print redb "                  Buy                   " reset yellow "|" reset \
        blueb "                  Sell                   " reset
#  print $3, $4, NF
  mm = $4 >= $5 ? $4 : $5
  for (a =0; a < mm; a++) 
  {
    if ($4 > a){
      b = a*9 + 5
      b1 = sprintf("%7d",$(b+1))
      b2 = sprintf("%6d",$(b+2))
      b3 = sprintf("%6d",$(b+3))
      b4 = sprintf("%4d",$(b+4))
      b5 = sprintf("%4d",$(b+5))
      b6 = sprintf("%4d",$(b+6))
      b7 = $(b+7) 
      b8 = $(b+8) 
      b9 = $(b+9)
    } else {
      b1 = "       "
      b2 = "      "
      b3 = "      "
      b4 = "    "
      b5 = "    "
      b6 = "    "
      b7 = " " 
      b8 = " " 
      b9 = " "
    }
    if ($5 > a){
      s = a*9 + 5 + $4*9
      s1 = sprintf("%7d",$(s+1))
      s2 = sprintf("%6d",$(s+2))
      s3 = sprintf("%6d",$(s+3))
      s4 = sprintf("%4d",$(s+4))
      s5 = sprintf("%4d",$(s+5))
      s6 = sprintf("%4d",$(s+6))
      s7 = $(s+7)
      s8 = $(s+8)
      s9 = $(s+9)
    } else {
      s1 = "       "
      s2 = "      "
      s3 = "      "
      s4 = "    "
      s5 = "    "
      s6 = "    "
      s7 = " "
      s8 = " "
      s9 = " "
    }
    printf "%s%c%c%c %4s %4s %4s %6s %6s %6s%s|%s%6s %6s %6s %4s %4s %4s %c%c%c%s\n", red, b9, b8, b7, b6, b5, b4, b3, b2, b1, yellow, blue, \
      s1, s2, s3, s4, s5, s6, s7, s8, s9, reset
  }
}
